///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


#include "general/filesystem.h"
#include "general/random.h"
#include "general/date_time.h"
#include "general/numeric.h"
#include "general/datatypes.h"
#include "general/debug.h"
#include "general/phys_mat_const.h"

#include "general/basics.h"

#include "global_def.h"

