///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


struct  g_struct_inputs        g_inputs ;
struct  ATOMS_STRUCT          *g_atomic_data ;
struct  g_struct_system_data   g_system      ;
struct  ENERGY_VALUES_STRUCT   g_ENERGY_VALUES ;
struct  ATOMDATA_STRUCT        *ATOMDATA;
struct  MESSAGES_STRUCT        MESSAGES ;

