///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int xmdyn_electron_release_single( char effect,int actatom,int el1,int actshell,
             int qelectron,int dqatom,
	     double *subpotEbef_out,double *subpotEaft_out, 
             double *new_re , double *new_ve, double *new_va,
	     double phi,double cost,double sint,
	     double Egain,double *pgain, char **plogstr ) ;

extern int criteria_for_ionization(char effect,int actatom,int actel,double T);

