if(!exists("input_file")) { 
  print "variable input_file not given -> exit"
  exit                      
} 
if(!exists("output_file")) { 
  print "variable output_file not given -> exit"
  exit                      
} 
if(!exists("fraction")) {
  print "variable fraction not given -> exit"
  exit                      
} 

ret_last_x(n,x)=(n != 0 ? (x2=x1, x1=x, x2) : (x1=x,x1))
ret_last_y(n,y)=(n != 0 ? (y2=y1, y1=y, y2) : (y1=y,y1))
ret_last_z(n,z)=(n != 0 ? (z2=z1, z1=z, z2) : (z1=z,z1))

unset key
set xlabel "SCF iteration"
set ylabel "Angle betw. MO 4 and 7 [rad]"
set title sprintf("CO 1001102 -> 1001f02; f=%1.2f", fraction)

set arrow from 0,0 to 100,0 nohead
set arrow from 0,-0.82 to 100,-0.82 nohead

set xrange [0:100]
set yrange [-pi/2:pi/2]

set terminal pngcairo size 640,320
set output output_file

plot input_file u 0:1 ls 2

set output output_file
plot input_file u 0:1 ls 2, \
     input_file u (last_z=ret_last_z($0,$4),last_x=ret_last_x($0,$0),last_z == 1 ? last_x : NaN):(last_y=ret_last_y($0,$1),last_y):($0-last_x):($1-last_y) with vectors size 1,15,45 fixed filled title 'MOM'

#     input_file u ($4 == 1 ? $0 : NaN):(GPVAL_Y_MIN):(0):(GPVAL_Y_MAX-GPVAL_Y_MIN) with vectors nohead