if( !exists("parentocc") || !exists("occ") ) { 
  print "variable parentocc or occ not given -> exit"
  exit                      
} 

# parentocc="1101102"
# occ="1001102"

dir=sprintf("%sto%s",parentocc,occ)

set xrange [1.00:0.00]
set yrange [0.00:1.00]

set terminal pngcairo size 960, 1280 # 1280,960
set output sprintf("olap_to_ref.%sto%s.png",parentocc,occ)

set multiplot layout 2,1

# set offsets <left>, <right>, <top>, <bottom>
# set offsets graph 0.0, 0.0, 0.1, 0.0

set xlabel sprintf("frac. occ. between %s and %s", parentocc, occ)
set ylabel "olap to ref (start guess ini)  [Hartree]"

plot sprintf("%s/olap_to_ref.%s.ini.dat",dir,parentocc) u 1:($2**2) w linespoints title "olap to ini", \
     ""                                                 u 1:($3**2) w linespoints title "olap to fin"

unset offsets
set ylabel "olap to ref (start guess fin)  [Hartree]"

set xlabel sprintf("frac. occ. between %s and %s", parentocc, occ)

plot sprintf("%s/olap_to_ref.%s.fin.dat",dir,parentocc) u 1:($2**2) w linespoints title "olap to ini", \
     sprintf("%s/olap_to_ref.%s.fin.dat",dir,parentocc) u 1:($3**2) w linespoints title "olap to fin"
    
unset multiplot