if(!exists("input_file")) { 
  print "variable input_file not given -> exit"
  exit                      
} 
if(!exists("output_file")) { 
  print "variable output_file not given -> exit"
  exit                      
} 
if(!exists("xmax")) { 
  xmax=pi/2
} 
if(!exists("xshift")) {
  xshift=0.0
}


set key right 
set xlabel "orbital rotation angle (orbital 4,7) in rad"
set ylabel "E in Hartree"
set y2label "overlap with initial guess"
set ytics nomirror
set y2tics 

set xrange [-xmax:xmax]
#set yrange [:]



# create variables input_file, output_file and name with printf
# input_file=sprintf("%s.dat", file_prefix)
# output_file=sprintf("%s.png", file_prefix)

set terminal pngcairo size 640,480
set output output_file

plot input_file u ($1-xshift):2 with linespoints title "left y-axis", \
     input_file u ($1-xshift):($3**2) with linespoints title "right y-axis" axes x1y2