# if(!exists("file_prefix")) { 

#   print "variable file_prefix not given -> exit"
#   exit                      
# }

if(!exists("input_file")) { 
  print "variable input_file not given -> exit"
  exit                      
} 
if(!exists("output_file")) { 
  print "variable output_file not given -> exit"
  exit                      
} 
if(!exists("xmax")) { 
  xmax=pi/2
  # print "variable xmax not given -> exit"
  # exit                      
} 
if(!exists("xshift")) {
  xshift=0.0
}


# set key left center
unset key
set xlabel "orbital rotation angle (orbital 4,7) in rad"
set ylabel "E in Hartree"

set xrange [-xmax:xmax]
#set yrange [:]



# create variables input_file, output_file and name with printf
# input_file=sprintf("%s.dat", file_prefix)
# output_file=sprintf("%s.png", file_prefix)

set terminal pngcairo size 640,480
set output output_file

plot input_file u (-($1-xshift)):2 with linespoints axes x1y1 title input_file
