# License Information

Copyright © 2024-2025 Deutsches Elektronen-Synchrotron DESY, a research center of the Helmholtz Association.

Contact person: Malik Muhammad Abdullah

Authors: Ludger Inhester, Zoltan Jurek, Sang-Kil Son, Malik M. Abdullah, and Robin Santra

XRAYPAC is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

XRAYPAC is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with XRAYPAC. If not, see http://www.gnu.org/licenses/.


# XRAYPAC

XRAYPAC is a toolkit for modelling x-ray matter interaction.
It consists of XATOM, XMOLECULE, CDTK, and XMDYN.
Please go to https://www.desy.de/~xraypac to learn more about XRAYPAC.


Installation:
=============

Installation instruction are found in the respective subfolder.
Because of dependencies, the tools have to be installed in the right order:

1. XATOM
2. XMOLECULE
3. XMDYN
4. CDTK

Installation of XATOM is a prerequisite for XMOLECULE and XMDYN
CDTK requires an installation of XMOLECULE
