#!/bin/bash

# Generate N samples 
xsample -i sample_water -d waterFixed

cd ensmbl_waterFixed

# Propagate each sample
for i in trj_*; do
    if [[ -d $i ]]; then
        cd $i
        cp ../../input_fixed_water .
        xpyder -i input_fixed_water -l &> run.out 
        cd ..
    fi
done

cd ..

# analyse charge distribution
an_correl -c charge -n 11 -d ensmbl_waterFixed

