import os
import sys
sys.path.insert(0, os.path.abspath('../..'))

# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'CDTK'
copyright = '2023, CFEL-Theory'
author = 'CFEL-Theory'


extensions = [
    'sphinx.ext.autodoc', # Automatically generate documentation from docstrings
    'sphinx.ext.viewcode', 
    'sphinx.ext.doctest', # Test snippets in the documentation
    'sphinx.ext.autosummary', # Generate autodoc summaries
    'sphinx.ext.napoleon', # For numpy style docstrings
    'sphinx.ext.imgmath' # for math
]

templates_path = ['_templates']
exclude_patterns = []



# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'sphinx_rtd_theme'
#html_static_path = ['_static']
