///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int backpushingfluor(int aktatom, int i,int j,int ishell,int jshell, double Ediff);
extern int getfluorelectrons(int actatom,int event,int *i,int *j);
extern int do_fluorrelax(int actatom,int event,int step,double T1);

extern int try_fluorrelax(int actatom,double DT,int step, double *T,
                          int *event);

