#!/bin/bash


source setup.ini


for fluence in ${FLUENCES}; do 
#for fluence in ${FLUENCES}; do 

    dir=CH3I_8.3keV_${fluence}Photons_minimal_static
    template_dir=CH3I_8.3keV_template_minimal_static
    mkdir ${dir}
    cat ${template_dir}/CH3I.in |sed s/N_photons=.*/N_photons=${fluence}/ |sed s,XATOM_PATH=.*,XATOM_PATH=${XATOM}, > ${dir}/CH3I.in
    cp ${template_dir}/[CHI]*.nao ${dir}
    cp ${template_dir}/[CHI]*.nao ${dir}
    cp ${template_dir}/wf.dat ${dir}
    cat ${template_dir}/run.sh | sed s,XMOLECULE_MC,${XMOLECULE_MC}, > ${dir}/run.sh


    echo  "
    -M ${EMAIL}
    -m be
" > ${dir}/.sge_request

    cd ${dir}
    cp_submit run.sh "CH3I.in wf.dat *.nao" "failed_* fort* *.dat"
    cd ..
done