parentocc="0011202"
occ="0001202"
dir=sprintf("%sto%s",parentocc,occ)

set xrange [1.00:0.00]
# set yrange [-45:-30]
# set yrange [-0.2:1.0]

set terminal pngcairo size 1280,960
set output "total_energies.1011002to1001002.png"

f(x)=a+b*x+c*x*x
a=-42.0; b=1.0; c=1.0
fit f(x) sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) u 1:2 via a,b,c

set multiplot layout 1,2

# total energies relative to  fit

# set offsets <left>, <right>, <top>, <bottom>
set offsets graph 0.0, 0.0, 0.1, 0.0

set xlabel "fractional occupation"
set ylabel "total energy relative to fit of 0011202 ini [Hartree]"

plot sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) u 1:($2-f($1)) w linespoints title sprintf("start guess %s ini",parentocc) # ,\
#      "1011002to1001002/total_energies.1011002.global_min.dat" u 1:($2-f($1)) w linespoints title "global min start guess 1001102 rotated"
unset offsets

# total energies 

set xlabel "fractional occupation"
set ylabel "total energy [Hartree]"

plot sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) w linespoints title sprintf("start guess %s ini",parentocc) # , \
#     "1011002to1001002/total_energies.1011002.global_min.dat" w linespoints title "global min start guess 1001102 rotated"

# end multiplot

unset multiplot