set xrange [1.00:0.00]
# set yrange [-45:-30]
# set yrange [-0.2:1.0]


set terminal pngcairo size 640,960
set output "total_energies.png"

# f(x)=a+b*x
# a=-42.0; b=6.0
# fit f(x) "1001102to1001002/total_energies.1001102.global_min47.dat" u 1:2 via a,b

# g(x)=c+d*x
# c=-63.5; d=30.0
# fit g(x) "2001002to1001002/total_energies.2001002.global_min.dat" u 1:2 via c,d

# set xlabel "fractional occupation"
# set ylabel "total energy relative to linear fit of global min curve [Hartree]"

# plot "2001002to1001002/total_energies.2001002.initial_solution.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 ini", \
#      "2001002to1001002/total_energies.2001002.final_solution.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 fin", \
#      "1001102to1001002/total_energies.1001102.initial_solution.dat" u 1:($2-f($1)) w linespoints title "start guess 1001102 ini", \
#      "1001102to1001002/total_energies.1001102.final_solution.dat" u 1:($2-f($1)) w linespoints title "start guess 1001102 fin", \
#      "1001102to1001002/total_energies.1001102.global_min.dat" u 1:($2-f($1)) w linespoints title "global min start guess 1001102 rotated", \
#      "1001102to1001002/total_energies.1001102.initial_solution47.dat" u 1:($2-f($1)) w linespoints title "start guess 1001102 ini all frozen but 4,7", \
#      "1001102to1001002/total_energies.1001102.final_solution47.dat" u 1:($2-f($1)) w linespoints title "start guess 1001102 fin all frozen but 4,7" , \
#      "1001102to1001002/total_energies.1001102.global_min47.dat" u 1:($2-f($1)) w linespoints title "global min start guess 1001102 rotated all frozen but 4,7"

# set offsets <left>, <right>, <top>, <bottom>
# set offsets graph 0.0, 0.0, 0.5, 0.0
set yrange [-65:-25]

set xlabel "fractional occupation"
set ylabel "total energy [Hartree]"

plot "2001002to1001002/total_energies.2001002.initial_solution.dat" w linespoints title "start guess 2001002 ini", \
     "2001002to1001002/total_energies.2001002.final_solution.dat" w linespoints title "start guess 2001002 fin", \
     "2001002to1001002/total_energies.2001002.global_min.dat" w linespoints title "global min 2001002 start guess 1001102 rotated", \
     "1011002to1001002/total_energies.1011002.initial_solution.dat" w linespoints title "start guess 1011002 ini", \
     "1011002to1001002/total_energies.1011002.global_min.dat" w linespoints title "global min 1011002 start guess 1001102 rotated", \
     "1001102to1001002/total_energies.1001102.initial_solution.dat" w linespoints title "start guess 1001102 ini", \
     "1001102to1001002/total_energies.1001102.final_solution.dat" w linespoints title "start guess 1001102 fin", \
     "1001102to1001002/total_energies.1001102.global_min.dat" w linespoints title "global min start guess 1001102 rotated", \
     "1001102to1001002/total_energies.1001102.initial_solution47.dat" w linespoints title "start guess 1001102 ini all frozen but 4,7", \
     "1001102to1001002/total_energies.1001102.final_solution47.dat" w linespoints title "start guess 1001102 fin all frozen but 4,7" , \
     "1001102to1001002/total_energies.1001102.global_min47.dat" w linespoints title "global min start guess 1001102 rotated all frozen but 4,7"