#!/bin/bash


best_parents() {
#   occ=0001202
    parents=()

    start_dir=$(pwd)
    parent=$(basename ${start_dir})
    parents+=( $parent )

    while [ "$parent" != "2222222" ]; do
        if [ -d "../${parent}" ]; then
            cd ../${parent}
        else
            echo "directory '../${parent}' does not exist."
            return
        fi
        if [ -f "results.txt" ]; then
            parent=$(sed -nr "s/^[*] +([0-9]{7}).*/\1/p" results.txt)
        else
            echo "results.txt does not exist."
            return
        fi
        parents+=( $parent )
    done
}