#!/bin/sh


xatom -N 50 -rmax 30. -latter off -s C -nao -file_nao C.nao -transition transitiondipole -file_tdipole C.tdipole -PE_start 10 -PE_end 1000 -PE_dE 2.0
xatom -N 50 -rmax 30. -latter off -s O -nao -file_nao O.nao -transition transitiondipole -file_tdipole O.tdipole -PE_start 10 -PE_end 1000 -PE_dE 2.0

echo '
C 0.0 0.0 0.0  2s1p C.nao
O 0.0 0.0 1.128 2s1p O.nao
unit=angstrom
gto=6-31G
' > input.in


# pcs basis
xmolecule input.in -HF -pcs -PE 1000


# pcs process_CIS
xmolecule input.in -HF -pcs -PE 1000 -process_CIS

# CIS gradient and nac
xmolecule input.in -HF -CIS -gradient -state 2 -nstates 10

# CIS absorption
xmolecule input.in -HF -CIS -state 2 -absorption


