!
! XMOLECULE electronic structure toolkit
! Copyright 2023 Ludger Inhester
! Ludger Inhester, Center for Free-Electron Laser Science, DESY
! ludger.inhester@cfel.de
!
! This file is part of XMOLECULE, which is distributed under the terms of the GNU General Public License version 3.
! See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
!

program test
  use read_param
  use atom_in_mol
  implicit none
  type(Param) :: P
  type(Atom_set), allocatable:: A(:)
  call read_parameters( P, "static" )
  call construct_Atom_set( P, A )
  call dump_Atom_set( A, IOUT=P%OUTPUT)
!  do i = 1, P%N_nuc
!    do j = 1, A(i)%N_nao
!      print "(2i5,es25.16e3)", i, j, sum( A(i)%u_AO(:,j)**2 * A(i)%r_weight(:) )
!    end do
!  end do
end program test
